version: v1beta9
images:
  app:
    image: registry.gitlab.com/yamahira/ojt/material-kit-react
    preferSyncOverRebuild: true
    injectRestartHelper: false
    createPullSecret: false
    appendDockerfileInstructions:
      - USER root
    build:
      kaniko:
        cache: true
        pullSecret: yamahira-projejct-external-secret
        args:
          - --cache-repo=registry.gitlab.com/yamahira/ojt/material-kit-react/cache
        nodeSelector:
          use: build
deployments:
  - name: material-kit-react
    kubectl:
      manifests:
        - 'manifests/'
dev:
  ports:
    - labelSelector:
        app: material-kit-react
      forward:
        - port: 3000
  open:
    - url: http://localhost:3000
  sync:
    - labelSelector:
        app: material-kit-react
      containerName: material-kit-react-container
      localSubPath: ./
      excludePaths:
        - .git/
        - node_modules/
      uploadExcludePaths:
        - Dockerfile
      onUpload:
        restartContainer: false
profiles:
  - name: production
    patches:
      - op: remove
        path: images.app.injectRestartHelper
      - op: remove
        path: images.app.appendDockerfileInstructions
hooks:
  - command: 'kubectl'
    args:
      - apply
      - -f
      - manifests/external-secret.yaml
    when:
      before:
        images: all
